# main.c File Reference

`#include <pspkernel.h>`
`#include <pspdebug.h>`
`#include <pspsdk.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <pspdisplay.h>`
`#include <pspnet_inet.h>`
`#include <pspnet_apctl.h>`
`#include <pspnet_resolver.h>`
`#include <psputility.h>`
`#include <netinet/in.h>`
`#include <kubridge.h>`
`#include <sys/select.h>`
`#include <pspctrl.h>`
`#include <errno.h>`
`#include <math.h>`
`#include <pspgu.h>`
`#include <pspgum.h>`
`#include <pspjpeg.h>`
`#include <oslib/oslib.h>`
`#include "lua.h"`
`#include "lauxlib.h"`
`#include "mikmod.h"`

## Defines
#define | printf pspDebugScreenPrintf
## Functions
| PSP_MODULE_INFO ("Luamin", 0, 0, 1)
| PSP_MAIN_THREAD_ATTR (PSP_THREAD_ATTR_USER|PSP_THREAD_ATTR_VFPU)
| PSP_HEAP_SIZE_KB (-2 *1024)
void | screen_init (L)
void | image_init (L)
void | color_init (L)
void | timer_init (L)
void | control_init (L)
void | lua3d_init (L)
void | sys_init (L)
void | sound_init (L)
void | net_init (L)
void | font_init (L)
void | StopMp3 (void)
void | ShowMessageDialog (const char *message, int enableYesno)
void | runebootfile (char *path)
int | exit_callback (int arg1, int arg2, void *common)
static int | CallbackThread (SceSize args, void *argp)
static int | SetupCallbacks (void)
static SceUID | driverint (char *path)
int | main (void)
## Variables
static lua_State * | L
static char | path [256]
static char | script [256]
static char | driver [256]
static char | eboot [256]

## Define Documentation

#define printf pspDebugScreenPrintf

## Function Documentation

static int CallbackThread | ( | SceSize | args,
|  | void * | argp |
| ) |  |  | `[static]`

void color_init | ( | L |  | ) |

void control_init | ( | L |  | ) |

static SceUID driverint | ( | char * | path | ) | `[static]`

int exit_callback | ( | int | arg1,
|  | int | arg2,
|  | void * | common |
| ) |  |  |

void font_init | ( | L |  | ) |

void image_init | ( | L |  | ) |

void lua3d_init | ( | L |  | ) |

int main | ( | void |  | ) |

void net_init | ( | L |  | ) |

PSP_HEAP_SIZE_KB | ( | -2 * | 1024 | ) |

PSP_MAIN_THREAD_ATTR | ( | PSP_THREAD_ATTR_USER| | PSP_THREAD_ATTR_VFPU | ) |

PSP_MODULE_INFO | ( | "Luamin" | ,
|  | 0 | ,
|  | 0 | ,
|  | 1 |  |
| ) |  |  |

void runebootfile | ( | char * | path | ) |

void screen_init | ( | L |  | ) |

static int SetupCallbacks | ( | void |  | ) | `[static]`

void ShowMessageDialog | ( | const char * | message,
|  | int | enableYesno |
| ) |  |  |

void sound_init | ( | L |  | ) |

void StopMp3 | ( | void |  | ) |

void sys_init | ( | L |  | ) |

void timer_init | ( | L |  | ) |

## Variable Documentation

char driver[256]`[static]`

char eboot[256]`[static]`

lua_State* L`[static]`

char path[256]`[static]`

char script[256]`[static]`